package intrinsic.mx.automation;

public interface IAutomationObject {

	/** Accessors */
//	public String automationName;
//	public int numAutomationChildren;
//	public Object automationDelegate;
//	public Object automationTabularData;
//	public boolean showInAutomationHierarchy;
//	public intrinsic.Array automationValue;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public intrinsic.mx.automation.IAutomationObject getAutomationChildAt(int arg0);
public intrinsic.Array resolveAutomationIDPart(Object arg0);
public boolean replayAutomatableEvent(intrinsic.flash.events.Event arg0);
public Object createAutomationIDPart(intrinsic.mx.automation.IAutomationObject arg0);

}
